
import 'package:plugin_basic/basic_export.dart';
import 'package:router/componentRouter/nl_service.dart';

import '../modules/main/main_page.dart';

/// 荷兰组件对应的路由实现类
class NLServiceImpl extends GetxService implements NLService {
  @override
  void onInit() {
    super.onInit();
    //初始化资源
  }

  @override
  void onClose() {
    super.onClose();
    //销毁资源
  }

  @override
  void startNLMainPage() {
    NLMainPage.startWithPopAll();
  }
}
